Package com.independentsoft.office.diagrams

# Enum Class ConstraintType

java.lang.Object
java.lang.Enum<ConstraintType>
com.independentsoft.office.diagrams.ConstraintType

All Implemented Interfaces:
  `Serializable`, `Comparable<ConstraintType>`, `Constable`

public enum ConstraintType extends Enum<ConstraintType>
The Enum ConstraintType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALIGNMENT_OFFSET`
  `ARROWHEAD_HEIGHT`
  `ARROWHEAD_WIDTH`
  `BEGINNING_MARGIN`
  `BEGINNING_PADDING`
  `BENDING_DISTANCE`
  `BOTTOM`
  `BOTTOM_MARGIN`
  `BOTTOM_OFFSET`
  `CENTER_HEIGHT`
  `CENTER_WIDTH`
  `CENTER_X_OFFSET`
  `CENTER_Y_OFFSET`
  `CONNECTION_DISTANCE`
  `DIAMETER`
  `END_MARGIN`
  `END_PADDING`
  `HEIGHT`
  `HEIGHT_OFFSET`
  `LEFT`
  `LEFT_MARGIN`
  `LEFT_OFFSET`
  `NONE`
  `PRIMARY_FONT_SIZE`
  `PYRAMID_ACCENT_RATIO`
  `RIGHT`
  `RIGTH_MARGIN`
  `RIGTH_OFFSET`
  `SECONDARY_FONT_SIZE`
  `SECONDARY_SIBLING_SPACING`
  `SIBLING_SPACING`
  `SPACING`
  `STEM_THICKNESS`
  `TOP`
  `TOP_MARGIN`
  `TOP_OFFSET`
  `UNKNOWN`
  `USER_DEFINED_A`
  `USER_DEFINED_B`
  `USER_DEFINED_C`
  `USER_DEFINED_D`
  `USER_DEFINED_E`
  `USER_DEFINED_F`
  `USER_DEFINED_G`
  `USER_DEFINED_H`
  `USER_DEFINED_I`
  `USER_DEFINED_J`
  `USER_DEFINED_K`
  `USER_DEFINED_L`
  `USER_DEFINED_M`
  `USER_DEFINED_N`
  `USER_DEFINED_O`
  `USER_DEFINED_P`
  `USER_DEFINED_Q`
  `USER_DEFINED_R`
  `USER_DEFINED_S`
  `USER_DEFINED_T`
  `USER_DEFINED_U`
  `USER_DEFINED_V`
  `USER_DEFINED_W`
  `USER_DEFINED_X`
  `USER_DEFINED_Y`
  `USER_DEFINED_Z`
  `WIDTH`
  `WIDTH_OFFSET`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConstraintType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConstraintType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALIGNMENT_OFFSET

    public static final ConstraintType ALIGNMENT_OFFSET

  - ### BOTTOM

    public static final ConstraintType BOTTOM

  - ### BEGINNING_MARGIN

    public static final ConstraintType BEGINNING_MARGIN

  - ### BEGINNING_PADDING

    public static final ConstraintType BEGINNING_PADDING

  - ### BENDING_DISTANCE

    public static final ConstraintType BENDING_DISTANCE

  - ### BOTTOM_MARGIN

    public static final ConstraintType BOTTOM_MARGIN

  - ### BOTTOM_OFFSET

    public static final ConstraintType BOTTOM_OFFSET

  - ### CONNECTION_DISTANCE

    public static final ConstraintType CONNECTION_DISTANCE

  - ### CENTER_HEIGHT

    public static final ConstraintType CENTER_HEIGHT

  - ### CENTER_X_OFFSET

    public static final ConstraintType CENTER_X_OFFSET

  - ### CENTER_WIDTH

    public static final ConstraintType CENTER_WIDTH

  - ### CENTER_Y_OFFSET

    public static final ConstraintType CENTER_Y_OFFSET

  - ### DIAMETER

    public static final ConstraintType DIAMETER

  - ### END_MARGIN

    public static final ConstraintType END_MARGIN

  - ### END_PADDING

    public static final ConstraintType END_PADDING

  - ### HEIGHT

    public static final ConstraintType HEIGHT

  - ### ARROWHEAD_HEIGHT

    public static final ConstraintType ARROWHEAD_HEIGHT

  - ### HEIGHT_OFFSET

    public static final ConstraintType HEIGHT_OFFSET

  - ### LEFT

    public static final ConstraintType LEFT

  - ### LEFT_MARGIN

    public static final ConstraintType LEFT_MARGIN

  - ### LEFT_OFFSET

    public static final ConstraintType LEFT_OFFSET

  - ### UNKNOWN

    public static final ConstraintType UNKNOWN

  - ### PRIMARY_FONT_SIZE

    public static final ConstraintType PRIMARY_FONT_SIZE

  - ### PYRAMID_ACCENT_RATIO

    public static final ConstraintType PYRAMID_ACCENT_RATIO

  - ### RIGHT

    public static final ConstraintType RIGHT

  - ### RIGTH_MARGIN

    public static final ConstraintType RIGTH_MARGIN

  - ### RIGTH_OFFSET

    public static final ConstraintType RIGTH_OFFSET

  - ### SECONDARY_FONT_SIZE

    public static final ConstraintType SECONDARY_FONT_SIZE

  - ### SECONDARY_SIBLING_SPACING

    public static final ConstraintType SECONDARY_SIBLING_SPACING

  - ### SIBLING_SPACING

    public static final ConstraintType SIBLING_SPACING

  - ### SPACING

    public static final ConstraintType SPACING

  - ### STEM_THICKNESS

    public static final ConstraintType STEM_THICKNESS

  - ### TOP

    public static final ConstraintType TOP

  - ### TOP_MARGIN

    public static final ConstraintType TOP_MARGIN

  - ### TOP_OFFSET

    public static final ConstraintType TOP_OFFSET

  - ### USER_DEFINED_A

    public static final ConstraintType USER_DEFINED_A

  - ### USER_DEFINED_B

    public static final ConstraintType USER_DEFINED_B

  - ### USER_DEFINED_C

    public static final ConstraintType USER_DEFINED_C

  - ### USER_DEFINED_D

    public static final ConstraintType USER_DEFINED_D

  - ### USER_DEFINED_E

    public static final ConstraintType USER_DEFINED_E

  - ### USER_DEFINED_F

    public static final ConstraintType USER_DEFINED_F

  - ### USER_DEFINED_G

    public static final ConstraintType USER_DEFINED_G

  - ### USER_DEFINED_H

    public static final ConstraintType USER_DEFINED_H

  - ### USER_DEFINED_I

    public static final ConstraintType USER_DEFINED_I

  - ### USER_DEFINED_J

    public static final ConstraintType USER_DEFINED_J

  - ### USER_DEFINED_K

    public static final ConstraintType USER_DEFINED_K

  - ### USER_DEFINED_L

    public static final ConstraintType USER_DEFINED_L

  - ### USER_DEFINED_M

    public static final ConstraintType USER_DEFINED_M

  - ### USER_DEFINED_N

    public static final ConstraintType USER_DEFINED_N

  - ### USER_DEFINED_O

    public static final ConstraintType USER_DEFINED_O

  - ### USER_DEFINED_P

    public static final ConstraintType USER_DEFINED_P

  - ### USER_DEFINED_Q

    public static final ConstraintType USER_DEFINED_Q

  - ### USER_DEFINED_R

    public static final ConstraintType USER_DEFINED_R

  - ### USER_DEFINED_S

    public static final ConstraintType USER_DEFINED_S

  - ### USER_DEFINED_T

    public static final ConstraintType USER_DEFINED_T

  - ### USER_DEFINED_U

    public static final ConstraintType USER_DEFINED_U

  - ### USER_DEFINED_V

    public static final ConstraintType USER_DEFINED_V

  - ### USER_DEFINED_W

    public static final ConstraintType USER_DEFINED_W

  - ### USER_DEFINED_X

    public static final ConstraintType USER_DEFINED_X

  - ### USER_DEFINED_Y

    public static final ConstraintType USER_DEFINED_Y

  - ### USER_DEFINED_Z

    public static final ConstraintType USER_DEFINED_Z

  - ### WIDTH

    public static final ConstraintType WIDTH

  - ### ARROWHEAD_WIDTH

    public static final ConstraintType ARROWHEAD_WIDTH

  - ### WIDTH_OFFSET

    public static final ConstraintType WIDTH_OFFSET

  - ### NONE

    public static final ConstraintType NONE

- ## Method Details

  - ### values

    public static ConstraintType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConstraintType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null